org.apache.poi.hemf.record.emfplus

## Enum HemfPlusImage.EmfPlusWrapMode

- java.lang.Object
- - java.lang.Enum<HemfPlusImage.EmfPlusWrapMode>
  - - org.apache.poi.hemf.record.emfplus.HemfPlusImage.EmfPlusWrapMode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<HemfPlusImage.EmfPlusWrapMode>
  Enclosing class:
    HemfPlusImage

      public static enum HemfPlusImage.EmfPlusWrapMode
      extends java.lang.Enum<HemfPlusImage.EmfPlusWrapMode>

  The WrapMode enumeration defines how the pattern from a texture or gradient brush is tiled across a shape or at shape boundaries, when it is smaller than the area being filled.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `WRAP_MODE_CLAMP`
    `WRAP_MODE_TILE`
    `WRAP_MODE_TILE_FLIP_X`
    `WRAP_MODE_TILE_FLIP_XY`
    `WRAP_MODE_TILE_FLIP_Y`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `id`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HemfPlusImage.EmfPlusWrapMode` | `valueOf(int id)`
    `static HemfPlusImage.EmfPlusWrapMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static HemfPlusImage.EmfPlusWrapMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### WRAP_MODE_TILE

          public static final HemfPlusImage.EmfPlusWrapMode WRAP_MODE_TILE

    - #### WRAP_MODE_TILE_FLIP_X

          public static final HemfPlusImage.EmfPlusWrapMode WRAP_MODE_TILE_FLIP_X

    - #### WRAP_MODE_TILE_FLIP_Y

          public static final HemfPlusImage.EmfPlusWrapMode WRAP_MODE_TILE_FLIP_Y

    - #### WRAP_MODE_TILE_FLIP_XY

          public static final HemfPlusImage.EmfPlusWrapMode WRAP_MODE_TILE_FLIP_XY

    - #### WRAP_MODE_CLAMP

          public static final HemfPlusImage.EmfPlusWrapMode WRAP_MODE_CLAMP

  - ### Field Detail

    - #### id

          public final int id

  - ### Method Detail

    - #### values

          public static HemfPlusImage.EmfPlusWrapMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HemfPlusImage.EmfPlusWrapMode c : HemfPlusImage.EmfPlusWrapMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HemfPlusImage.EmfPlusWrapMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### valueOf

          public static HemfPlusImage.EmfPlusWrapMode valueOf(int id)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.